Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Interface TransactionEntry

All Superinterfaces:
  Belonging, BusinessSmartComponent, Cloneable, Comparable, Serializable

All Known Implementing Classes:
  TransactionEntryImpl

public interface TransactionEntry
extends Belonging

Each TransactionEntry acts as a journal entry for a PaymentTransaction. Each entry is a snapshot of a transaction as of specified date and time. The TransactionEntry is implemented as a belonging, it is created using the TransactionEntryHome abstract factory.

See Also:
  `PaymentTransaction`, `TransactionEntryHome`

Method Summary
`Date` | `getEntryDate()` Get the date on which the entry was created.
`String` | `getIdentifier()` Get the unique identifier for this entry.
`String` | `getNotes()` Get the notes associated with this entry.
`String` | `getServiceProviderCode()` Get the service provider specific code associated with this transaction.
`String` | `getStatus()` Get the status of the PaymentTransaction at the time of this entry.
`Price` | `getTransactionAmount()` Get the amount of the transaction outstanding at the time of this entry.
`void` | `setEntryDate(Date entryDate)` Set the date on which the entry was created.
`void` | `setIdentifier(String identifier)` Set the unique identifier for this entry.
`void` | `setNotes(String notes)` Set the notes associated with this entry.
`void` | `setServiceProviderCode(String serviceProviderCode)` Set the service provider specific code associated with this transaction.
`void` | `setStatus(String status)` Get the status of the PaymentTransaction at the time of this entry.
`void` | `setTransactionAmount(Price transactionAmount)` Set the amount of the transaction outstanding at the time of this entry.

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals, interfaceName, setByValue, value`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getEntryDate

    public Date getEntryDate()

  Get the date on which the entry was created.

  Returns:
    entryDate

### getIdentifier

    public String getIdentifier()

  Get the unique identifier for this entry.

  Returns:
    identifier

### getNotes

    public String getNotes()

  Get the notes associated with this entry.

  Returns:
    notes

### getServiceProviderCode

    public String getServiceProviderCode()

  Get the service provider specific code associated with this transaction.

  Returns:
    serviceProviderCode.

### getStatus

    public String getStatus()

  Get the status of the PaymentTransaction at the time of this entry.

  Returns:
    status

### getTransactionAmount

    public Price getTransactionAmount()

  Get the amount of the transaction outstanding at the time of this entry.

  Returns:
    transactionAmount.

### setEntryDate

    public void setEntryDate(Date entryDate)

  Set the date on which the entry was created.

  Parameters:
    `entryDate` -

### setIdentifier

    public void setIdentifier(String identifier)

  Set the unique identifier for this entry.

  Parameters:
    `identifier` -

### setNotes

    public void setNotes(String notes)

  Set the notes associated with this entry.

  Parameters:
    `notes` -

### setServiceProviderCode

    public void setServiceProviderCode(String serviceProviderCode)

  Set the service provider specific code associated with this transaction.

  Parameters:
    `serviceProviderCode` -

### setStatus

    public void setStatus(String status)

  Get the status of the PaymentTransaction at the time of this entry. The series of states will be as governed by the `PaymentWorkflow`.

  Parameters:
    `status` -

### setTransactionAmount

    public void setTransactionAmount(Price transactionAmount)

  Set the amount of the transaction outstanding at the time of this entry.

  Parameters:
    `transactionAmount` - transactionAmount to be added

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved